python安装matplotlib的问题

只是看看偶尔顶一下 发布于 2017/03/30 08:53
阅读 109
收藏 0

环境:虚拟机centos6.3(自带python2.6,升级到了2.7) 

  1. 在装ipython前,装好了matplotlib库,并且可用。
  2. 装ipython之后,没有测试画图是否可用,过段时间在ipython下import matplotlib时,提示没有相应的模块
  3. find matplotlib,有相应的路径,于是有进行easy_install matplotlib,提示如下* The following required packages can not be built:
                            * freetype
  4. 于是yum install freetype,提示如下Package freetype-2.3.11-17.el6.i686 already installed and latest version
加载中
0
mickelfeng
mickelfeng

easy_install 我猜用的是python2.6的。python --version看使用版本。

只是看看偶尔顶一下
python -V 是2.7
0
n
noogler67

直接装anaconda,常用工具都有了。anaconda.org

返回顶部
顶部